Package ghidra.graph.job

# Class MoveViewAnimatorFunctionGraphJob<V,E>

java.lang.Object
ghidra.graph.job.AbstractAnimatorJob
ghidra.graph.job.MoveViewAnimatorFunctionGraphJob<V,E>

All Implemented Interfaces:
  `GraphJob`

Direct Known Subclasses:
  `EnsureAreaVisibleAnimatorFunctionGraphJob`, `MoveVertexToCenterAnimatorFunctionGraphJob`, `MoveVertexToCenterTopAnimatorFunctionGraphJob`, `MoveViewToLayoutSpacePointAnimatorFunctionGraphJob`, `MoveViewToViewSpacePointAnimatorFunctionGraphJob`

public abstract class MoveViewAnimatorFunctionGraphJob<V,E> extends AbstractAnimatorJob

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final edu.uci.ics.jung.visualization.VisualizationViewer<V,E>`
  `viewer`

  ### Fields inherited from class ghidra.graph.job.AbstractAnimatorJob

  `animator, isShortcut, log, TOO_BIG_TO_ANIMATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MoveViewAnimatorFunctionGraphJob(edu.uci.ics.jung.visualization.VisualizationServer<V,E> viewer, boolean useAnimation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.jdesktop.animation.timing.Animator`
  `createAnimator()`
  `protected abstract Point2D`
  `createDestination()`
  `protected void`
  `finished()`
  A callback given when this animator has run to completion.
  `void`
  `setOffset(Point2D offsetFromOriginalPoint)`

  ### Methods inherited from class ghidra.graph.job.AbstractAnimatorJob

  `canShortcut, dispose, execute, isFinished, setBusyListener, shortcut, stop, toString, trace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### viewer

    protected final edu.uci.ics.jung.visualization.VisualizationViewer<V,E> viewer

- ## Constructor Details

  - ### MoveViewAnimatorFunctionGraphJob

    public MoveViewAnimatorFunctionGraphJob(edu.uci.ics.jung.visualization.VisualizationServer<V,E> viewer, boolean useAnimation)

- ## Method Details

  - ### createDestination

    protected abstract Point2D createDestination()

  - ### createAnimator

    protected org.jdesktop.animation.timing.Animator createAnimator()
    Specified by:
      `createAnimator` in class `AbstractAnimatorJob`

  - ### finished

    protected void finished()
    Description copied from class: `AbstractAnimatorJob`
    A callback given when this animator has run to completion. This will be called whether the animator is stopped prematurely or ends naturally.
    Specified by:
      `finished` in class `AbstractAnimatorJob`

  - ### setOffset

    public void setOffset(Point2D offsetFromOriginalPoint)